The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"OpenNews: Поддержка старых Linux дистрибутивов продуктами Mo..."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [Проследить за развитием треда]

"OpenNews: Поддержка старых Linux дистрибутивов продуктами Mo..."  
Сообщение от opennews on 16-Май-07, 14:57 
Один из разработчиков Mozilla предложил (http://steelgryphon.com/blog/?p=101) поднять планку требований к установленным в системе библиотекам, необходимым для работы продуктов от сообщества Mozilla .


В настоящее время требования достаточно консервативны, версии библиотек оцениваются во время запуска и большинство проблем со старыми версиями решаются обходными путями, что позволяет продуктам Mozilla работать в устаревших Linux дистрибутивах.

В результате дискуссии была создана страница Linux/Runtime Requirements (http://wiki.mozilla.org/Linux/Runtime_Requirements), на которой представлены минимальные требования к составу библиотек необходимых для работы Firefox 3:


-   GTK+ 2.10.x
-  GLib 2.12.x
-  GNOME 2.16.x
-  Pango 1.14.x
-  Cairo 1.4.x (only for system cairo)
-  xorg (libX11) 1.0.x
-  dbus 1.0.x
-  hal 0.5.8
-  libjpeg v6b
-  libpng 1.2.x (tracking upstream)
-  zlib 1.2.3

URL: http://www.mozillazine.org/talkback.html?article=21748
Новость: https://www.opennet.ru/opennews/art.shtml?num=10799

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени, UBB]


1. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от Аноним on 16-Май-07, 14:57 
Интересно, кому-нибудь удалось запустить Firefox 2.0 в AltLinux Master 2.4. Сколько не пробовал - все в кору падает. Хотя библиотеки по ldd все найдены.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от bart on 16-Май-07, 15:34 
Пофигу, главно чтобы на стабильном дебиане работало!
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от pavel_simple (ok) on 16-Май-07, 15:40 
>Пофигу, главно чтобы на стабильном дебиане работало!
немаловажно и то, что и в oldstable (sarge) тоже работает нормально -- а они почти сверстники

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

14. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от exn (??) on 16-Май-07, 22:43 
слака наше все :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

20. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от Michael Shigorin email on 17-Май-07, 11:03 
Стабильный дебиан сам вечно не работает :-(  То etch на sata_nv не становится, то на CRT@i845 85Hz не получить никакамими ухищрениями.  Что характерно, после таких вот столкновений начинаешь больше ценить родной альт со всеми его недостатками, но хоть без этих.

PS: привет simpson.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

27. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от deskpot email on 17-Май-07, 20:01 
обе плюшки точно вызваны Debian-specific патчами?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

28. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от gvy email on 17-Май-07, 21:47 
>обе плюшки точно вызваны Debian-specific патчами?
Да поди разбери.  Скорее их недостатком всё же, у нас весьма компетентные майнтейнеры ядер и xorg.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

30. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от deskpot email on 17-Май-07, 22:13 
>>обе плюшки точно вызваны Debian-specific патчами?
>Да поди разбери.  Скорее их недостатком всё же, у нас весьма
>компетентные майнтейнеры ядер и xorg.

т.е. точно не плюшки апстирима?

если вы гораздо компетентнее мантейните ядро и xorg в ALT Linux, я очень рад и за вас, и за пользователей вашего дистрибутива. однако, у меня достаточно причин не пополнять их ряды и мириться с, якобы, некомпетентностью Debian'овских mantainer'ов ядра, по моему опыту, они делают очень большую и гораздо более профессиональную, чем остальные, работу.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

33. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от Michael Shigorin email on 18-Май-07, 00:07 
>>>обе плюшки точно вызваны Debian-specific патчами?
>>Да поди разбери.  Скорее их недостатком всё же, у нас весьма
>>компетентные майнтейнеры ядер и xorg.
>т.е. точно не плюшки апстирима?
Я ж говорю -- непонятно.  То ли что-то недолечили, то ли перелечили.

>если вы гораздо компетентнее мантейните ядро и xorg в ALT Linux,
Увольте, сам ядра уже давно не собирал полностью и с полгода -- по мелочам (вроде прикрутить отвалившийся и опять кем-то обновлённый bootsplash к 2.6.16; предыдущий случай -- понизить HZ в 2.6.10 или .12 назад до 100).  А иксы -- что-то с 2001 (XF86 4.0.1, что ли).

Так что как раз меня в вопросах сборки таковых можно считать полным нулём.

>я очень рад и за вас, и за пользователей вашего дистрибутива. однако,
>у меня достаточно причин не пополнять их ряды
Так пожалуйста.  Там просто кто-то начал выступать с дебианом, ну мне и живо вспомнилось.  Это из вежливости забыл ещё один случай, но вообще-то dottedmag@ и wart@ довелось как-то выслушать несколько более подробно.  При этом ответ на один из вопросов я же им потом и рассказал.

>и мириться с, якобы, некомпетентностью Debian'овских mantainer'ов ядра
Несколько лет назад там даже не некомпетентность была, а просто невменяемость.  Вроде как с этим полегчало и _сейчас_ про _не_компетентность _я_ не говорил.  Это лучше старожилов поспрошайте.

Просто у некоторых всё давно работает из коробки, а у некоторых до сих пор ядро принято пересобирать.  Даже если это сделано достаточно удобным (btw текущую схему упаковки альтовых ядер разрабатывал nidd@debian и мне кажется -- учтя недостатки имеющихся).

На то и выбор дистрибутивов -- кому-то нос Иван Иваныча, кому-то чуб Степан Кузьмича.

>по моему опыту, они делают очень большую
Ну соответственно и я за Вас рад, коллега :-)

>и гораздо более профессиональную, чем остальные, работу.
А вот по поводу сравнительного профессионализма своё мнение уже составил.  Надо признаться, при более плотных столкновениях конкретно с Etch оно было вынуждено заметно ухудшиться.  Остаётся надеяться, что это я такой тестер удачливый (к ALT 3.0 тоже ой было чего высказать, например -- и конкретно с CRT на i845 там было вообще плохо).

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

36. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от deskpot email on 18-Май-07, 00:41 
>На то и выбор дистрибутивов -- кому-то нос Иван Иваныча, кому-то чуб
>Степан Кузьмича.

угу. и что самое обидное -- ровно так же, как и в субтреде ниже, выбор здесь -- это тоже выбор между более и менее фатальными недостатками.

>А вот по поводу сравнительного профессионализма своё мнение уже составил.  Надо
>признаться, при более плотных столкновениях конкретно с Etch оно было вынуждено
>заметно ухудшиться.

хм. я не имел дела с Debian'ом до etch со времён первого релиза potato. вот в potato как были собраны некоторые части xfree86 -- так просто такая песня, что хоть святых выноси. =) таких серьёзных плюшек в etch я пока найти не успел (хотя за так замечательно пересобранный irussian и зачем-то напрочь оторванную поддержку aiff в libxine, я бы тоже кое-кому руки оторвал), и лично по моему впечатлению etch гораздо более на совесть сделан чем некогда potato.

>Остаётся надеяться, что это я такой тестер удачливый
>(к ALT 3.0 тоже ой было чего высказать, например -- и
>конкретно с CRT на i845 там было вообще плохо).

всё-таки, что-то мне упорно подсказывает, что проблема с i845 -- в т.ч. проблема апстрима (т.е. видимо xorg). ;)

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

19. "Firefox 2.0 и AltLinux Master 2.4"  
Сообщение от Michael Shigorin email on 17-Май-07, 11:01 
Попробуйте Seamonkey 1.1?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Masaki on 16-Май-07, 15:51 
А на QT4 портируют? Хочу на KDE4 перейти с гнома... :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от админо on 16-Май-07, 16:16 
Я тебе офигенный секрет щас открою, лучше сядь чтоб не упасть:
ты можешь использовать ЛЮБОЙ браузер в ЛЮБОМ DE - потому, что это вещи вообще НЕ ПЕРЕСЕКАЮЩИЕСЯ.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Andrey Mitrofanov on 16-Май-07, 17:36 
>что это вещи вообще НЕ ПЕРЕСЕКАЮЩИЕСЯ.
Это-то понятно, но не понятна строка-требование выше:
| * GNOME 2.16.x
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от гость on 16-Май-07, 19:07 
Ну а чего вы хотели - у мозильников вообще хронические проблемы с разделяемыми библиотеками - до сих пор libgecko создать ума не хватило. Вот и попутали наверно сам гном и какие-нибудь из его библиотек...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

21. "xulrunner"  
Сообщение от Michael Shigorin email on 17-Май-07, 11:05 
> до сих пор libgecko создать ума не хватило.
Знаете, если бы у Вас хватило ума поискать именно "libgecko" и узнать про xulrunner... а так...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Masaki on 16-Май-07, 20:11 
Мля, уважают умных, а не умников. Я знал это, просто нравится использовать "родной" софт для каждой из DE.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

13. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от гость on 16-Май-07, 22:21 
Ты когда-нибудь слышал про Томми?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

17. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Лимуриец on 17-Май-07, 10:21 
Тогда Konqueror и Opera - фсё твоё

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от nonstop on 16-Май-07, 16:04 
GNOME 2.16.x - а вот это с какого боку используется?

такими темпами заведу себе lynx

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

22. "links!"  
Сообщение от Michael Shigorin email on 17-Май-07, 11:06 
Рекомендую тогда уж links2 -g. :)  По крайней мере для ряда задач изумительно пригоден.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от пИнгвин on 16-Май-07, 17:03 
Да, вот про GNOME в зависимостях - это интересно...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

11. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от FarID (ok) on 16-Май-07, 20:22 
FF всетаки еще далеко еще от... оперы хотябы глючит и жрет непомерно
виджеты FF вообще в тусклую тоску вводят
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

12. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Masaki on 16-Май-07, 20:54 
хм... не путаешь плагины фф с виджетами оперы? Это у оперы ими только погоду измерить можно.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

37. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от D4FF on 18-Май-07, 04:38 
Это у оперы виджеты в тухлую тоску вгоняют.Юзера.Своим функционалом.А у фокса есть такие штуки как ErrorZilla который позволяет налетев на дохлый сайт 1 кликом достать его из кеша гугля или wayback machine, выводок видео-даунлоадеров с ютуб и ему подобных, WebDeveloper и выводок экстеншнов для анализа хидеров, NoScript и AdBlock Plus для контроля кто из сайтов чего может, ...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

41. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Sphinx email(??) on 20-Май-07, 09:36 
Наверное, имелись ввиду кнопочки на формах страниц :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

15. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от dragon_djanic on 17-Май-07, 01:07 
А GNOME 2.16.x та там нафик?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

16. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от ExclusivE on 17-Май-07, 01:13 
http://developer.mozilla.org/en/docs/Configuring_Build_Options#Graphics_Toolkit
Можно даже на QT собрать. Правда я не пробовал. Выше перечислены требования официальной сборки.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

18. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от igoree on 17-Май-07, 10:35 
может GNOME тут чисто как маркетинговый ход ? все популярные дистрибутивы его двигают вперёд и Mozilla решила тоже :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

23. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от bart on 17-Май-07, 12:34 
Вообще им конечно надо отделять графику от движка, чтобы и на qt и на gtk, иначе прям не интересно как-то...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

24. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Аноним on 17-Май-07, 15:51 
hal? dbus?! gnome?!?! Дожили, желаю им скорой, но мучительной смерти. Блин, если бы разрабатывали нормальный модульный продукт давно был бы уже замечательный браузер, а не ублюдская `web платформа'.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

29. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от gvy email on 17-Май-07, 21:54 
>hal? dbus?! gnome?!?! Дожили, желаю им скорой, но мучительной смерти. Блин, если
>бы разрабатывали нормальный модульный продукт давно был бы уже замечательный браузер,
>а не ублюдская `web платформа'.
Так уже есть один никому особо не нужный на десктопе замечательный браузер, оперой зовут.

Ни разу не платформа, правда.  Потому и не нужный.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

31. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от deskpot email on 17-Май-07, 22:25 
а почему бразуер должен быть платформой (я надеюсь, что под платформой вы понимаете что-то созвучное определению Joel'а Spolski, например)?

может, у меня какое-то неправильное мироощущение, но мне легче было в своё время поставить эту самую Оперу и забыть про bloatware-стиль программы вообще и её настроек в частности, делающий очень проблематичным, например, перенос $HOME на NFS между немного разными версиями программы под разной ОС. или обеспечивающий три часа копания в этих самых настройках, чтоб выяснить, почему у всех нормальных людей с той же версией браузера, отображается эта страничка, а у меня -- нет.

большинство моих знакомых не предъявляют таких требований к браузеру, им просто нужно, чтобы он беспроблемно работал в более простых условий. однако, всё большее и большее их количество смотрит в сторону Opera положив на то, что это ни разу не платформа. зато работает, для них это важнее.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

32. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Michael Shigorin email on 17-Май-07, 23:44 
>а почему бразуер должен быть платформой?
[знакомое skip]
Боюсь, потому, что иначе он стал бы ещё одной оперой -- почти не заметной на радаре даже забесплатно.

На оперу, собственно, сам собирался сваливать с mozilla 1.7.x (примерно на 8.5, что ли).  Потом вышла seamonkey-1.0a и основной повод валить (скорость -- тогда бук был под рукой PIII-500) испарился, а второй (работа с js alert при fullscreen) оказался сделан уже лучше, чем у норвежцев.

Всё не сахар, но продолжая порой посматривать по сторонам -- как-то не тянет на оперные глюки, мозильи то ли уже родней, то ли и впрямь не так критичны оказываются.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

34. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от deskpot email on 18-Май-07, 00:11 
>Боюсь, потому, что иначе он стал бы ещё одной оперой -- почти
>не заметной на радаре даже забесплатно.

по общедоступной spylog'овской статистике -- порядка %10. Firefox + Mozilla -- немногим больше.

http://gs.spylog.ru/r/?reportId=10&categoryId=1

и, вы знаете, логи первого попавшегося под руку httpd, на удивление, по большому счёту, демонстрируют почти такое же распределение браузеров, как у них. ;) если хотите, могу дать больше деталей касательно того, что это за httpd, но, на мой взгляд, это непринципиально т.к. очевидно, что статистика может быть и такой.

далее. вы правда думаете, что популярность браузера, прежде всего, зависит от технической стороны? очень малым образом и очень в малой среде. PR "альтернативного" FireFox очень силён, но он вряд ли был менее успешным, если бы FF был не платформой. строго говоря, для СМИ это не аргумент вообще.

>На оперу, собственно, сам собирался сваливать с mozilla 1.7.x (примерно на 8.5,
>что ли).  Потом вышла seamonkey-1.0a и основной повод валить (скорость
>-- тогда бук был под рукой PIII-500) испарился, а второй (работа
>с js alert при fullscreen) оказался сделан уже лучше, чем у
>норвежцев.
>
>Всё не сахар, но продолжая порой посматривать по сторонам -- как-то не
>тянет на оперные глюки, мозильи то ли уже родней, то ли
>и впрямь не так критичны оказываются.

я тоже периодически посмотраиваю на Mozilla, но перейти так и не могу. однако, за неимением лучшего, так сложилось, что для меня именно Opera достаточно хороша, а не наоборот. скорее, этот фактор субъективен.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

35. "о вкусах"  
Сообщение от Michael Shigorin email on 18-Май-07, 00:18 
>>Боюсь, потому, что иначе он стал бы ещё одной оперой -- почти
>>не заметной на радаре даже забесплатно.
>по общедоступной spylog'овской статистике -- порядка %10. Firefox + Mozilla -- немногим
>больше.
Ух ты, спасибо -- у меня устаревшие данные (припоминалось что-то 5--7% от силы).

>далее. вы правда думаете, что популярность браузера, прежде всего,
>зависит от технической стороны?
Нет, но возможность проводить маркетинг свободно распространяемого конкуретна бесплатно распространяемому монополисту вынуждена опираться на техническое превосходство по крайней мере в чём-то.

Да, я считаю, что для Firefox им послужила именно расширяемость и кастомизируемость, поскольку поощрением творчества у обоих закрытых конкурентов попросту не пахнет.

>я тоже периодически посмотраиваю на Mozilla, но перейти так и не могу.
>однако, за неимением лучшего, так сложилось, что для меня именно Opera
>достаточно хороша, а не наоборот. скорее, этот фактор субъективен.
Как и в субтреде чуть ниже -- думаю, понимаю; и так же рад за Вас. :-)

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

40. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от йа забыл падписацца асел on 19-Май-07, 18:24 
>hal? dbus?! gnome?!?! Дожили, желаю им скорой, но мучительной смерти. Блин, если
>бы разрабатывали нормальный модульный продукт давно был бы уже замечательный браузер,
>а не ублюдская `web платформа'.


+1

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

25. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Аноним on 17-Май-07, 18:52 
gnome в зависимостях? Это что ещё за бред? Если так будет на самом деле, то перейду на оперу.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

42. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от Sphinx email(??) on 20-Май-07, 10:01 
Если собираешь Firefox с поддержкой GNOME, то последний конечно нужен, а так -- зачем? :)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

38. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от MMX on 18-Май-07, 15:05 
ктонить ходил по ссылкам?? Видно что нет.

Тама есть така надпись: "These requirements may change over time, based on how the platform evolves"
Тобиш требования будут меняться в зависимости от платформы.
В данном случае идет конфигурация под Гном, отсюда и требование ГТК и Гном.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

39. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от deskpot email on 18-Май-07, 15:45 
>Тама есть така надпись: "These requirements may change over time, based on
>how the platform evolves"
>Тобиш требования будут меняться в зависимости от платформы.

как бы вам помягче сказать? совсем не так это переводится. скорее, так: "эти требования могут меняться через какое-то время, в зависимости от того, как радикально мы будем развивать наши продукты".

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

43. "Поддержка старых Linux дистрибутивов продуктами Mozilla"  
Сообщение от ТТТ email on 20-Май-07, 15:27 
да правильно, надо бороться с застоями прогресса, кто хочет пользоваться старым ПО ( антиквариатом так  сказать) пусть пользуется, но какое этот человек имеет отношение к ФФ тем более к ФФ 3

прогресс не остановить...

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру